summaryrefslogtreecommitdiff
path: root/openwrt/package/chillispot/files/chillispot.init
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-14 20:35:05 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-14 20:35:05 +0000
commit0001d67471ae603cc44ff67aa0ec466bcfc08754 (patch)
treeb57327c5ecc5f828462f7cb5ad152d7ee1eb4462 /openwrt/package/chillispot/files/chillispot.init
parent29c4a016b09756eac842b7be318b3db2c82a85ad (diff)
Convert chillispot to new packaging style
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@895 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/chillispot/files/chillispot.init')
-rw-r--r--openwrt/package/chillispot/files/chillispot.init20
1 files changed, 20 insertions, 0 deletions
diff --git a/openwrt/package/chillispot/files/chillispot.init b/openwrt/package/chillispot/files/chillispot.init
new file mode 100644
index 0000000000..289b1fe8a5
--- /dev/null
+++ b/openwrt/package/chillispot/files/chillispot.init
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+RUN_D=/var/run
+PID_F=$RUN_D/chilli.pid
+
+case $1 in
+ start)
+ /sbin/insmod tun >/dev/null 2>&1
+ [ -d $RUN_D ] || mkdir -p $RUN_D
+ /usr/sbin/chilli
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?